import "Turbine" 
import "Turbine.UI" 
import "Turbine.UI.Lotro" 
import "Turbine.Gameplay"

import "Thardariel.SkillData";

_G.player = Turbine.Gameplay.LocalPlayer.GetInstance()

function ChatOutput(string) Turbine.Shell.WriteLine(string) end

-- safely add a callback without overwriting any existing ones
function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
end

-- safely remove a callback without clobbering any extras
function RemoveCallback(object, event, callback)
    if (object[event] == callback) then
        object[event] = nil;
    else
        if (type(object[event]) == "table") then
            local size = table.getn(object[event]);
            for i = 1, size do
                if (object[event][i] == callback) then
                    table.remove(object[event], i);
                    break;
                end
            end
        end
    end
end

function SaveSettings()

    Turbine.PluginData.Save(Turbine.DataScope.Character, "VitalSelf", _G.settings)

end

function MainFunction_Moria()
		
		
		local file_path_moria = "Thardariel/WelcomeToMiddleEarth/images/MinesOfMoria.jpg";
			
		mainWindow_Moria = Turbine.UI.Lotro.GoldWindow()
		mainWindow_Moria:SetSize(600,396);
		mainWindow_Moria:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_Moria:SetText("Die Minen von Moria warten");
		mainWindow_Moria.Image=Turbine.UI.Label(); 
		mainWindow_Moria.Image:SetParent(mainWindow_Moria);
		mainWindow_Moria.Image:SetSize(550,229);
		mainWindow_Moria.Image:SetPosition(25, 140)
		mainWindow_Moria.Image:SetBackground(file_path_moria);
		mainWindow_Moria.Message=Turbine.UI.Label(); 
		mainWindow_Moria.Message:SetParent(mainWindow_Moria);
		mainWindow_Moria.Message:SetSize(550,229);
		mainWindow_Moria.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
		mainWindow_Moria.Message:SetPosition(25, 50)
		mainWindow_Moria.Message:SetText("Moria. Du fürchtest dich vor diesen Minen. Die Zwerge haben zu gierig und zu tief geschürft. Du weißt, was sie aufgeweckt haben in der Dunkelheit von Kazad-dûm: Schatten und Flammen. ~ Saruman\n\nTreffe Ráthwald in Echad Dúnann (Eregion) um den Pfad in die Minen von Moria zu bestreiten!")
		mainWindow_Moria.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_Moria:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_Moria:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_Bree()
		
		
		local file_path_bree = "Thardariel/WelcomeToMiddleEarth/images/Bree.jpg";
			
		mainWindow_Bree = Turbine.UI.Lotro.GoldWindow()
		mainWindow_Bree:SetSize(600,396);
		mainWindow_Bree:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_Bree:SetText("Gasthaus zum tänzelnden Pony!");
		mainWindow_Bree.Image=Turbine.UI.Label(); 
		mainWindow_Bree.Image:SetParent(mainWindow_Bree);
		mainWindow_Bree.Image:SetSize(550,218);
		mainWindow_Bree.Image:SetPosition(25, 140)
		mainWindow_Bree.Image:SetBackground(file_path_bree);
		mainWindow_Bree.Message=Turbine.UI.Label(); 
		mainWindow_Bree.Message:SetParent(mainWindow_Bree);
		mainWindow_Bree.Message:SetSize(550,229);
		mainWindow_Bree.Message:SetPosition(25, 50)
		mainWindow_Bree.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_Bree.Message:SetText("Ihr zieht bei weitem zu viel Aufmerksamkeit auf Euch, Herr Unterberg! ~ Streicher\n\nEuer Weg verschlägt euch ins Breeland. Trefft Gerstenmann Butterblume im Gasthaus zum tänzelnden Pony.")
		mainWindow_Bree.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_Bree:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_Bree:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_EinsameLande()
		
		
		local file_path_einsamelande = "Thardariel/WelcomeToMiddleEarth/images/Wetterspitze.jpg";
			
		mainWindow_EinsameLande = Turbine.UI.Lotro.GoldWindow()
		mainWindow_EinsameLande:SetSize(600,396);
		mainWindow_EinsameLande:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_EinsameLande:SetText("Die Wetterspitze!");
		mainWindow_EinsameLande.Image=Turbine.UI.Label(); 
		mainWindow_EinsameLande.Image:SetParent(mainWindow_EinsameLande);
		mainWindow_EinsameLande.Image:SetSize(550,218);
		mainWindow_EinsameLande.Image:SetPosition(25, 140)
		mainWindow_EinsameLande.Image:SetBackground(file_path_einsamelande);
		mainWindow_EinsameLande.Message=Turbine.UI.Label(); 
		mainWindow_EinsameLande.Message:SetParent(mainWindow_EinsameLande);
		mainWindow_EinsameLande.Message:SetSize(550,229);
		mainWindow_EinsameLande.Message:SetPosition(25, 50)
		mainWindow_EinsameLande.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_EinsameLande.Message:SetText("Der Hexenkönig hat Frodo auf der Wetterspitze mit einer Morgulklinge verwundet, doch Streicher konnte die Nazgûl vertreiben. Es steht nicht gut um ihn, er muss zu Herrn Elrond nach Bruchtall. Schnell!\n\nSprecht mit Candaith am Hang der Wetterspitze.")
		mainWindow_EinsameLande.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_EinsameLande:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_EinsameLande:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_Bruchtal()
		
		
		local file_path_bruchtal = "Thardariel/WelcomeToMiddleEarth/images/Bruchtal.jpg";
			
		mainWindow_Bruchtal = Turbine.UI.Lotro.GoldWindow()
		mainWindow_Bruchtal:SetSize(600,431);
		mainWindow_Bruchtal:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_Bruchtal:SetText("Bruchtal!");
		mainWindow_Bruchtal.Image=Turbine.UI.Label(); 
		mainWindow_Bruchtal.Image:SetParent(mainWindow_Bruchtal);
		mainWindow_Bruchtal.Image:SetSize(550,218);
		mainWindow_Bruchtal.Image:SetPosition(25, 175)
		mainWindow_Bruchtal.Image:SetBackground(file_path_bruchtal);
		mainWindow_Bruchtal.Message=Turbine.UI.Label(); 
		mainWindow_Bruchtal.Message:SetParent(mainWindow_Bruchtal);
		mainWindow_Bruchtal.Message:SetSize(550,229);
		mainWindow_Bruchtal.Message:SetPosition(25, 50)
		mainWindow_Bruchtal.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_Bruchtal.Message:SetText("Der Ring kann nicht zerstört werden, Gimli, Gloins Sohn. Jedenfalls von keiner Kraft, die wir hier besitzen. In den Feuern des Schicksalsberges erschaffen, kann er nur dort zerstört werden! Man muss ihn tief nach Mordor hineinbringen und ihn in die feurige Glut zurückwerfen, aus der er stammt. Einer von euch muss das tun! \n\nSo sei es! Neun Gefährten. Ihr bildet also die Gemeinschaft des Ringes! ~ Elrond")
		mainWindow_Bruchtal.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_Bruchtal:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_Bruchtal:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_Lothlorien()
		
		
		local file_path_lothlorien = "Thardariel/WelcomeToMiddleEarth/images/Lothlorien.jpg";
			
		mainWindow_Lothlorien = Turbine.UI.Lotro.GoldWindow()
		mainWindow_Lothlorien:SetSize(600,436);
		mainWindow_Lothlorien:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_Lothlorien:SetText("Lothlorien!");
		mainWindow_Lothlorien.Image=Turbine.UI.Label(); 
		mainWindow_Lothlorien.Image:SetParent(mainWindow_Lothlorien);
		mainWindow_Lothlorien.Image:SetSize(550,218);
		mainWindow_Lothlorien.Image:SetPosition(25, 180)
		mainWindow_Lothlorien.Image:SetBackground(file_path_lothlorien);
		mainWindow_Lothlorien.Message=Turbine.UI.Label(); 
		mainWindow_Lothlorien.Message:SetParent(mainWindow_Lothlorien);
		mainWindow_Lothlorien.Message:SetSize(550,229);
		mainWindow_Lothlorien.Message:SetPosition(25, 50)
		mainWindow_Lothlorien.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_Lothlorien.Message:SetText("Der Feind weiß, dass ihr hier eingetroffen seid. Eure Hoffnung unerkannt zu bleiben, sie ist nun zunichte.Hier sind acht, doch neun sind von Bruchtal aus aufgebrochen. Sagt mir, wo ist Gandalf, denn es verlangt mich sehr mit ihm zu sprechen. Ich kann ihn aus weiter Ferne nicht sehen. ~ Celeborn\n\nGandalf der Graue hat die Grenzen dieses Landes nicht überschritten. Er ist in den Schatten gestürzt. ~ Galadriel")
		mainWindow_Lothlorien.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_Lothlorien:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_Lothlorien:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_Isengart()
		
		
		local file_path_isengart = "Thardariel/WelcomeToMiddleEarth/images/Isengart.jpg";
			
		mainWindow_Isengart = Turbine.UI.Lotro.GoldWindow()
		mainWindow_Isengart:SetSize(600,406);
		mainWindow_Isengart:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_Isengart:SetText("Isengart!");
		mainWindow_Isengart.Image=Turbine.UI.Label(); 
		mainWindow_Isengart.Image:SetParent(mainWindow_Isengart);
		mainWindow_Isengart.Image:SetSize(550,218);
		mainWindow_Isengart.Image:SetPosition(25, 150)
		mainWindow_Isengart.Image:SetBackground(file_path_isengart);
		mainWindow_Isengart.Message=Turbine.UI.Label(); 
		mainWindow_Isengart.Message:SetParent(mainWindow_Isengart);
		mainWindow_Isengart.Message:SetSize(550,229);
		mainWindow_Isengart.Message:SetPosition(25, 50)
		mainWindow_Isengart.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_Isengart.Message:SetText("Wird der Wall durchbrochen, fällt Helms Klamm. ~ Saruman\nSelbst wenn man ihn durchbräche, eine unvorstellbare Anzahl wäre von Nöten. Tausende um die Festung zu stürmen! ~ Gríma\nZehntausende. ~ Saruman\nAber mein Gebieter, eine solche Streitmacht gibt es nicht. ~ Gríma\nEine neue Macht erhebt sich und ihr Sieg ist nah. ~Saruman")
		mainWindow_Isengart.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_Isengart:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_Isengart:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_AmonHen()
		
		
		local file_path_amonhen = "Thardariel/WelcomeToMiddleEarth/images/AmonHen.jpg";
			
		mainWindow_AmonHen = Turbine.UI.Lotro.GoldWindow()
		mainWindow_AmonHen:SetSize(600,421);
		mainWindow_AmonHen:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_AmonHen:SetText("Amon Hen!");
		mainWindow_AmonHen.Image=Turbine.UI.Label(); 
		mainWindow_AmonHen.Image:SetParent(mainWindow_AmonHen);
		mainWindow_AmonHen.Image:SetSize(550,218);
		mainWindow_AmonHen.Image:SetPosition(25, 165)
		mainWindow_AmonHen.Image:SetBackground(file_path_amonhen);
		mainWindow_AmonHen.Message=Turbine.UI.Label(); 
		mainWindow_AmonHen.Message:SetParent(mainWindow_AmonHen);
		mainWindow_AmonHen.Message:SetSize(550,229);
		mainWindow_AmonHen.Message:SetPosition(25, 50)
		mainWindow_AmonHen.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_AmonHen.Message:SetText("Ich wäre dir gefolgt mein Bruder, mein Hauptmann, mein König! ~ Boromir\n\nFriede sei mit dir, Sohn Gondors. ~ Aragorn\n\nAn diesem Punkt trennt sich die Gemeinschaft des Ringes. Aragorn, Legolas und Gimli verfolgen die Spur der Uruk-Hai, um Merry und Pippin zu retten. Frodo und Sam sind nun auf sich allein gestellt, vorerst.")
		mainWindow_AmonHen.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_AmonHen:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_AmonHen:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_Edoras()
		
		
		local file_path_edoras = "Thardariel/WelcomeToMiddleEarth/images/Edoras.jpg";
			
		mainWindow_Edoras = Turbine.UI.Lotro.GoldWindow()
		mainWindow_Edoras:SetSize(600,396);
		mainWindow_Edoras:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_Edoras:SetText("Edoras!");
		mainWindow_Edoras.Image=Turbine.UI.Label(); 
		mainWindow_Edoras.Image:SetParent(mainWindow_Edoras);
		mainWindow_Edoras.Image:SetSize(550,218);
		mainWindow_Edoras.Image:SetPosition(25, 140)
		mainWindow_Edoras.Image:SetBackground(file_path_edoras);
		mainWindow_Edoras.Message=Turbine.UI.Label(); 
		mainWindow_Edoras.Message:SetParent(mainWindow_Edoras);
		mainWindow_Edoras.Message:SetSize(550,229);
		mainWindow_Edoras.Message:SetPosition(25, 50)
		mainWindow_Edoras.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_Edoras.Message:SetText("Ich bin Gandalf der Weiße und ich kehre zurück zu euch. Am Wendepunkt der Gezeiten. Eine Etappe eurer Reise ist vorüber. Nun folgt die nächste. Krieg ist über Rohan bgekommen. Wir müssen nach Edoras reiten, so geschwind wir können. ~ Gandalf")
		mainWindow_Edoras.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_Edoras:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_Edoras:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_HelmsKlamm()
		
		
		local file_path_helmsklamm = "Thardariel/WelcomeToMiddleEarth/images/HelmsKlamm.jpg";
			
		mainWindow_HelmsKlamm = Turbine.UI.Lotro.GoldWindow()
		mainWindow_HelmsKlamm:SetSize(600,436);
		mainWindow_HelmsKlamm:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_HelmsKlamm:SetText("Helms Klamm!");
		mainWindow_HelmsKlamm.Image=Turbine.UI.Label(); 
		mainWindow_HelmsKlamm.Image:SetParent(mainWindow_HelmsKlamm);
		mainWindow_HelmsKlamm.Image:SetSize(550,218);
		mainWindow_HelmsKlamm.Image:SetPosition(25, 180)
		mainWindow_HelmsKlamm.Image:SetBackground(file_path_helmsklamm);
		mainWindow_HelmsKlamm.Message=Turbine.UI.Label(); 
		mainWindow_HelmsKlamm.Message:SetParent(mainWindow_HelmsKlamm);
		mainWindow_HelmsKlamm.Message:SetSize(550,229);
		mainWindow_HelmsKlamm.Message:SetPosition(25, 50)
		mainWindow_HelmsKlamm.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_HelmsKlamm.Message:SetText("Erwartet mein Kommen, beim ersten Licht des fünften Tages. Bei Sonnenaufgang, schaut nach Osten. ~ Gandalf\n\nIn die Klamm war vor dem Angriff der Uruk-hai noch nie ein Feind eingedrungen. Es heißt ausserdem, dass, wenn Menschen diese Befestigung verteidigten, der Feind noch nie einen Schritt in den Innenring der Hornburg setzen konnte. Doch Sarumans Heer war stark genug diese Festung einzunehmen.")
		mainWindow_HelmsKlamm.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_HelmsKlamm:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_HelmsKlamm:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_MinasTirith()
		
		
		local file_path_minastirith = "Thardariel/WelcomeToMiddleEarth/images/MinasTirith.jpg";
			
		mainWindow_MinasTirith = Turbine.UI.Lotro.GoldWindow()
		mainWindow_MinasTirith:SetSize(600,416);
		mainWindow_MinasTirith:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_MinasTirith:SetText("Minas Tirith!");
		mainWindow_MinasTirith.Image=Turbine.UI.Label(); 
		mainWindow_MinasTirith.Image:SetParent(mainWindow_MinasTirith);
		mainWindow_MinasTirith.Image:SetSize(550,218);
		mainWindow_MinasTirith.Image:SetPosition(25, 160)
		mainWindow_MinasTirith.Image:SetBackground(file_path_minastirith);
		mainWindow_MinasTirith.Message=Turbine.UI.Label(); 
		mainWindow_MinasTirith.Message:SetParent(mainWindow_MinasTirith);
		mainWindow_MinasTirith.Message:SetSize(550,229);
		mainWindow_MinasTirith.Message:SetPosition(25, 50)
		mainWindow_MinasTirith.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_MinasTirith.Message:SetText("Die Leuchtfeuer von Minas Tirith, die Leuchtfeuer brennen! Gondor ruft um Hilfe!\nUnd Rohan wird antworten! Die Heerschau soll beginnen! \n\nSpeer wird zerschellen, Schild zersplittern, ein Schwerttag, ein Bluttag, ehe die Sonne steigt. Reitet, Reitet nun, Reitet zur Vernichtung und zum Ende der Welt. TOD! ~ Theoden")
		mainWindow_MinasTirith.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_MinasTirith:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_MinasTirith:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_Mordor()
		
		
		local file_path_mordor = "Thardariel/WelcomeToMiddleEarth/images/Mordor.jpg";
			
		mainWindow_Mordor = Turbine.UI.Lotro.GoldWindow()
		mainWindow_Mordor:SetSize(600,426);
		mainWindow_Mordor:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_Mordor:SetText("Das schwarze Tor!");
		mainWindow_Mordor.Image=Turbine.UI.Label(); 
		mainWindow_Mordor.Image:SetParent(mainWindow_Mordor);
		mainWindow_Mordor.Image:SetSize(550,197);
		mainWindow_Mordor.Image:SetPosition(25, 205)
		mainWindow_Mordor.Image:SetBackground(file_path_mordor);
		mainWindow_Mordor.Message=Turbine.UI.Label(); 
		mainWindow_Mordor.Message:SetParent(mainWindow_Mordor);
		mainWindow_Mordor.Message:SetSize(550,229);
		mainWindow_Mordor.Message:SetPosition(25, 50)
		mainWindow_Mordor.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_Mordor.Message:SetText("Haltet eure Stellung! Haltet eure Stellung! Söhne Gondors und Rohans, meine Brüder! In euren Augen sehe ich dieselbe Furcht, die auch mich verzagen ließe. Der Tag mag kommen, da der Mut der Menschen erlischt, da wir unsere Gefährten im Stich lassen und aller Freundschaft Bande bricht. Doch dieser Tag ist noch fern. Die Stunde der Wölfe und zerschmetterter Schilde, da das Zeitalter der Menschen tosend untergeht, doch dieser Tag ist noch fern! Denn heute kämpfen wir! Bei allem, was euch teuer ist auf dieser Erde, sage ich: Haltet stand, Menschen des Westens!\n\nFür Frodo! ~ Aragorn")
		mainWindow_Mordor.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_Mordor:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_Mordor:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_GraueAnfurten()
		
		local file_path_graueanfurten = "Thardariel/WelcomeToMiddleEarth/images/GraueAnfurten.jpg";
			
		mainWindow_GraueAnfurten = Turbine.UI.Lotro.GoldWindow()
		mainWindow_GraueAnfurten:SetSize(600,416);
		mainWindow_GraueAnfurten:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth()),(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
		mainWindow_GraueAnfurten:SetText("Die grauen Anfurten!");
		mainWindow_GraueAnfurten.Image=Turbine.UI.Label(); 
		mainWindow_GraueAnfurten.Image:SetParent(mainWindow_GraueAnfurten);
		mainWindow_GraueAnfurten.Image:SetSize(550,218);
		mainWindow_GraueAnfurten.Image:SetPosition(25, 160)
		mainWindow_GraueAnfurten.Image:SetBackground(file_path_graueanfurten);
		mainWindow_GraueAnfurten.Message=Turbine.UI.Label(); 
		mainWindow_GraueAnfurten.Message:SetParent(mainWindow_GraueAnfurten);
		mainWindow_GraueAnfurten.Message:SetSize(550,229);
		mainWindow_GraueAnfurten.Message:SetPosition(25, 50)
		mainWindow_GraueAnfurten.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro15)
		mainWindow_GraueAnfurten.Message:SetText("Und so geschah es, dass das Vierte Zeitalter in Mittelerde anbrach. Und die Gemeinschaft des Ringes, obgleich ewig verbunden in Liebe und Freundschaft, löste sich auf. Genau vor 13 Monaten hatte uns Gandalf auf unsere lange Reise geschickt. Nun bot sich uns ein vertauter Anblick. Wir waren zu Hause! \n\n ~ Frodo")
		mainWindow_GraueAnfurten.Message:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

		mainWindow_GraueAnfurten:SetVisible(true)
		
		mainWindow:SetVisible(false)
		function mainWindow_GraueAnfurten:Closed(sender, args)
			mainWindow:SetVisible(true)
		end
	
end

function MainFunction_LevelUp()


		function _G.player:LevelChanged(sender, args)
					
						mainWindow=Turbine.UI.Lotro.GoldWindow() 
						mainWindow:SetSize(600,150);
						mainWindow:SetPosition((Turbine.UI.Display:GetWidth()-mainWindow:GetWidth())/2,(Turbine.UI.Display:GetHeight()-mainWindow:GetHeight())/4)
						mainWindow:SetText("You're leveled up!")
						
						mainWindow:SetVisible(true)
								
						mainWindow.Message=Turbine.UI.Label();
						mainWindow.Message:SetParent(mainWindow)
						mainWindow.Message:SetSize(570,150)
						mainWindow.Message:SetFont(Turbine.UI.Lotro.Font.TrajanPro16)
						mainWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
						mainWindow.Message:SetText(string.format("Herzlichen Glückwunsch %s, du bist nun Level %s!\n\nFolgendes erwartet dich in den nächsten Leveln:",_G.player:GetName(), _G.player:GetLevel()))
						
						if (player:GetClass() == Turbine.Gameplay.Class.Hunter) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Hunter

							if (nextLevel == 2) then	
								index = 2
								sc = { "0x70003F4E", "FiddleUse" }
							elseif (nextLevel == 3) then
								index = 2
								sc = { "0x70003F4E", "FiddleUse" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x70003F4E"}
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x70003F4C" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x70003F4C" }	
							elseif (nextLevel == 7) then
								index = 2
								sc = { "0x70003F4C", "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 4
								sc = { "0x70003F4C", "0x70003F34", "0x70003F45",  "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 3
								sc = { "0x70003F34", "0x70003F45",  "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 2
								sc = { "0x70003F3D", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 2
								sc = { "0x70003F3D", "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x70003F3E", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "0x70003F3E", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 2
								sc = { "0x70003F3E", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 3
								sc = { "0x70003F4D", "0x70003F39", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 3
								sc = { "0x70003F4D", "0x70003F39", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 2
								sc = { "0x70003F39", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 2
								sc = { "0x70003F39", "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 4
								sc = { "0x70021D0D", "0x7003200C", "0x70003F40", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 4
								sc = { "0x70021D0D", "0x7003200C", "0x70003F40", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 5
								sc = { "0x700010D3", "0x70003F3F", "0x70003F46", "0x7000A2C3", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 5
								sc = { "0x700010D3", "0x70003F3F", "0x70003F46", "0x7000A2C3", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 2
								sc = { "0x70003F41", "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 2
								sc = { "0x70003F41", "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x7000A2C1", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 4
								sc = { "0x7000A2C1", "0x700030DE", "0x70003F4F", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 3
								sc = { "0x700030DE", "0x70003F4F", "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 3
								sc = { "0x700030DE", "0x70003F4F", "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 2
								sc = { "0x70003F37", "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 2
								sc = { "0x70003F37", "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 3
								sc = { "0x70003F47", "0x70003F42", "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 3
								sc = { "0x70003F47", "0x70003F42", "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 2
								sc = { "0x70003F43", "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 2
								sc = { "0x70003F43", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 1
								sc = { "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 2
								sc = { "0x700030EC", "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 2
								sc = { "0x700030EC", "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 2
								sc = { "0x700030EC", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 2
								sc = { "0x70003F48", "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 2
								sc = { "0x70003F48", "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = { "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 1
								sc = { "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 1
								sc = { "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 1
								sc = { "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 2
								sc = { "0x70021D0E", "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 2
								sc = { "0x70021D0E", "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 3
								sc = { "0x70021D18", "0x700153E5", "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 3
								sc = { "0x70021D18", "0x700153E5", "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 2
								sc = { "0x700153E2", "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 2
								sc = { "0x700153E2", "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 2
								sc = { "0x7000F9AB", "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 2
								sc = { "0x7000F9AB", "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 2
								sc = { "0x70020DF8", "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 2
								sc = { "0x70020DF8", "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 2
								sc = { "0x7002984F", "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 1
								sc = { "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 2
								sc = { "0x70029856", "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 2
								sc = { "0x70029856", "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.Minstrel) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Minstrel

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x70003E7D" }
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x70003E7D" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x70003E7D" }
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x70003E7E" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x70003E7E" }	
							elseif (nextLevel == 7) then
								index = 2
								sc = { "0x7000B697", "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 2
								sc = { "0x7000B697",  "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 2
								sc = { "0x70003E82",  "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 2
								sc = { "0x70003E82", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 2
								sc = { "0x70003E82", "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x70003E82", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 3
								sc = { "0x70003E8B", "0x70003E85", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 3
								sc = { "0x70003E8B", "0x70003E85", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 3
								sc = { "0x70003E8B", "0x70003E85", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 1
								sc = { "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 1
								sc = { "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 2
								sc = { "0x70003E81", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 2
								sc = { "0x70003E81", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 1
								sc = { "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 1
								sc = { "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 1
								sc = { "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 1
								sc = { "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x700031B2", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 2
								sc = { "0x700031B2", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 1
								sc = { "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 1
								sc = { "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 1
								sc = { "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 1
								sc = { "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 1
								sc = { "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 3
								sc = { "0x7000B69B", "0x70003E8E", "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 3
								sc = { "0x7000B69B", "0x70003E8E", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 3
								sc = { "0x7000B69B", "0x70003E8E", "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 3
								sc = { "0x70003E90", "0x7000BC01", "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 3
								sc = { "0x70003E90", "0x7000BC01", "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 3
								sc = { "0x70003E90", "0x7000BC01", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 1
								sc = { "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 1
								sc = { "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = { "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 2
								sc = { "0x70001251", "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 2
								sc = { "0x70001251", "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 2
								sc = { "0x70001251", "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 2
								sc = { "0x7000B69E", "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 2
								sc = { "0x7000B69E", "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 2
								sc = { "0x7000B69E", "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 2
								sc = { "0x7000BC02", "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 2
								sc = { "0x7000BC02", "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 2
								sc = { "0x7000F260", "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 2
								sc = { "0x7000F260", "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 2
								sc = { "0x7000F260", "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 1
								sc = { "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 2
								sc = { "0x70020DF9", "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 2
								sc = { "0x70020DF9", "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 2
								sc = { "0x70029904", "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 2
								sc = { "0x70029904", "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 2
								sc = { "0x70029905", "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 2
								sc = { "0x70029905", "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.Champion) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Champion

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x70003DFE" }
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x70003F4E" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x70003E08" }
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x70003E08" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x70003E08" }	
							elseif (nextLevel == 7) then
								index = 1
								sc = { "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 1
								sc = { "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 1
								sc = { "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 1
								sc = { "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 1
								sc = { "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x70003E04", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "0x70003E04", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 2
								sc = { "0x70003E04", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 2
								sc = { "0x70003E14", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 2
								sc = { "0x70003E14", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 2
								sc = { "0x70003F39", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 2
								sc = { "0x70003F39", "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 4
								sc = { "0x7000F70E", "0x70003E0C", "0x7003B445", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 4
								sc = { "0x7000F70E", "0x70003E0C", "0x7003B445", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 2
								sc = { "0x70002D9D", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 2
								sc = { "0x70002D9D", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 2
								sc = { "0x70003E09", "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 2
								sc = { "0x70003E09", "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x70003E0B", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 2
								sc = { "0x70003E0B", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 1
								sc = { "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 1
								sc = { "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 1
								sc = { "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 2
								sc = { "0x70003E0D", "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 3
								sc = { "0x70003E0D", "0x70003E0E", "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 2
								sc = { "0x70003E0E", "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 3
								sc = { "0x70003E0E","0x70003E15", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 2
								sc = { "0x70003E15", "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 2
								sc = { "0x70003E15", "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 2
								sc = { "0x70020DF3", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 2
								sc = { "0x70020DF3", "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 2
								sc = { "0x70020DF3", "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = { "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 2
								sc = { "0x70021D27", "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 2
								sc = { "0x70021D27", "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 2
								sc = { "0x70021D27", "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 1
								sc = { "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 1
								sc = { "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 1
								sc = { "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 1
								sc = { "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 1
								sc = { "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.Beorning) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Beorning

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x7004039B" }
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x7004039B" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x7004039B" }
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x7004039B" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x7004039B" }	
							elseif (nextLevel == 7) then
								index = 1
								sc = { "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 1
								sc = { "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 2
								sc = { "0x70040390", "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 2
								sc = { "0x70040390", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 2
								sc = { "0x700403B6", "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x700403B6", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "0x7004039C", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 2
								sc = { "0x7004039C", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 2
								sc = { "0x7004039C", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 3
								sc = { "0x7004039C", "0x700403B7", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 2
								sc = { "0x700403B7", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 2
								sc = { "0x700403B7", "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 4
								sc = { "0x7004039F", "0x7004039D", "0x700403BA", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 4
								sc = { "0x7004039F", "0x7004039D", "0x700403BA", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 2
								sc = { "0x7004039E", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 2
								sc = { "0x7004039E", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 2
								sc = { "0x7004039A", "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 2
								sc = { "0x7004039A", "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 1
								sc = { "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 2
								sc = { "0x700403B9", "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 2
								sc = { "0x700403B9", "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 2
								sc = { "0x700403B9", "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 2
								sc = { "0x700403B8", "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 2
								sc = { "0x700403B8", "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 1
								sc = { "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 2
								sc = { "0x70042DB4", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 2
								sc = { "0x70042DB4", "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 2
								sc = { "0x70042DB4", "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 1
								sc = { "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 1
								sc = { "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 1
								sc = { "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = { "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 1 
								sc = { "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 1
								sc = { "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 1
								sc = { "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 1
								sc = { "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 1
								sc = { "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 1
								sc = { "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 1
								sc = { "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 1
								sc = { "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = {  "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 1
								sc = { "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.Burglar) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Burglar

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x70003F0C" }
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x70003F0C" }
							elseif (nextLevel == 4) then
								index = 2
								sc = { "0x70003F0C", "0x700031E1" }
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x700031E1" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x70003F14" }	
							elseif (nextLevel == 7) then
								index = 3
								sc = { "0x70003F14", "0x700031D8", "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 3
								sc = { "0x70003F14", "0x700031D8", "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 2
								sc = { "0x70003F13", "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 2
								sc = { "0x70003F13", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 2
								sc = { "0x70003F0D", "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x70003F0D", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 3
								sc = { "0x70003F0E", "0x70003F16", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 3
								sc = { "0x70003F0E", "0x70003F16", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 2
								sc = { "0x70003F17", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 2
								sc = { "0x70003F17", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 3
								sc = { "0x700031F5", "0x7002613D", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 3
								sc = { "0x700031F5", "0x7002613D", "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 3
								sc = { "0x7003A68C", "0x70003F15", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 3
								sc = { "0x7003A68C", "0x70003F15", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 2
								sc = { "0x70003F11", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 2
								sc = { "0x70003F11", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 1
								sc = {  "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 1
								sc = { "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 3
								sc = { "0x7001F4A4", "0x7000D442", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 3
								sc = { "0x7001F4A4", "0x7000D442", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 2
								sc = { "0x7000320D", "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 2
								sc = { "0x7000320D", "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 2
								sc = { "0x7000320D", "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 1
								sc = { "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 1
								sc = { "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 2
								sc = { "0x70003F0A", "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 2
								sc = { "0x70003F0A", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 2
								sc = { "0x70003F12", "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 2
								sc = { "0x70003F12", "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 2
								sc = { "0x7000D446", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 2
								sc = { "0x7000D446", "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 2
								sc = { "0x7000D446", "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 2
								sc = { "0x7000D448", "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 2
								sc = { "0x7000D448", "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 1 
								sc = { "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 1
								sc = { "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 1
								sc = { "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 1
								sc = { "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 2
								sc = { "0x7003038F", "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 2
								sc = { "0x7003038F", "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 2
								sc = { "0x70015A02", "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 2
								sc = { "0x70015A02", "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 2
								sc = { "0x70015A02", "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 1
								sc = { "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 2
								sc = { "0x70028385", "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 2
								sc = { "0x70028385", "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 2
								sc = { "0x70028385", "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = {  "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 1
								sc = { "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.Captain) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Captain

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x70003E4C" }
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x70003E4C" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x70003E4C" }
							elseif (nextLevel == 5) then
								index = 3
								sc = { "0x70002FAF", "0x70002F1A", "0x70002F7A" }
							elseif (nextLevel == 6) then
								index = 3
								sc = { "0x70002FAF", "0x70002F1A", "0x70002F7A"  }	
							elseif (nextLevel == 7) then
								index = 3
								sc = { "0x70003E4E", "0x70002F61", "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 3
								sc = { "0x70003E4E", "0x70002F61", "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 3
								sc = { "0x70003E50", "0x70020DF6", "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 3
								sc = { "0x70003E50", "0x70020DF6", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 2
								sc = { "0x7000AA10", "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x7000AA10", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "0x70003E51", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 2
								sc = { "0x70003E51", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 3
								sc = { "0x70003E52", "0x70002F99", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 3
								sc = { "0x70003E52", "0x70002F99", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 1
								sc = { "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 1
								sc = { "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 5
								sc = { "0x7003A6A3", "0x70002F45", "0x7002F88D", "0x7000AA0E", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 5
								sc = { "0x7003A6A3", "0x70002F45", "0x7002F88D", "0x7000AA0E", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 2
								sc = { "0x7000A1D7", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 2
								sc = { "0x7000A1D7", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 1
								sc = {  "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 1
								sc = { "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x7000FC78", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 2
								sc = { "0x7000FC78", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 3
								sc = { "0x7000AD9A", "0x70028E4B", "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 3
								sc = { "0x7000AD9A", "0x70028E4B", "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 3
								sc = { "0x7000AD9A", "0x70028E4B", "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 1
								sc = { "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 1
								sc = { "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 1
								sc = { "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 1
								sc = { "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 1
								sc = { "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 3
								sc = { "0x70003E5A", "0x7000AA0D", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 3
								sc = { "0x70003E5A", "0x7000AA0D", "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 3
								sc = { "0x70003E5A", "0x7000AA0D", "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = { "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 1 
								sc = { "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 2
								sc = { "0x700385EE", "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 2
								sc = { "0x700385EE", "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 2
								sc = { "0x700385EE", "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 1
								sc = { "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 2
								sc = { "0x70017D31", "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 2
								sc = { "0x70017D31", "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 2
								sc = { "0x70017D31", "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 1
								sc = { "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 1
								sc = { "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 2
								sc = { "0x7001F4C9", "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 2
								sc = { "0x7001F4C9", "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 2
								sc = { "0x7001F4C9", "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 2
								sc = { "0x70028DB4", "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 2
								sc = { "0x70028DB4", "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 2
								sc = { "0x70028DB4", "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = {  "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 2
								sc = { "0x70028FA5", "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 2
								sc = { "0x70028FA5", "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 2
								sc = { "0x70028FA5", "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.Guardian) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Guardian

							if (nextLevel == 2) then	
								index = 2
								sc = { "0x70003EE0", "0x7000305D" }
							elseif (nextLevel == 3) then
								index = 3
								sc = { "0x70003EE0", "0x7000305D", "0x70003EDE" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x70003EDE" }
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x70003EE4" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x70003EE4"  }	
							elseif (nextLevel == 7) then
								index = 2
								sc = { "0x70003E14", "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 2
								sc = { "0x70003E14", "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 2
								sc = { "0x7000308D", "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 2
								sc = { "0x7000308D", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 1
								sc = { "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 1
								sc = { "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "0x7000DD14", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 2
								sc = { "0x7000DD14", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 2
								sc = { "0x70003097", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 2
								sc = { "0x70003097", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 2
								sc = { "0x70021663", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 2
								sc = { "0x70021663", "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 3
								sc = { "0x70003058", "0x70003EE8", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 3
								sc = { "0x70003058", "0x70003EE8", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 2
								sc = { "0x70003EE1", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 2
								sc = { "0x70003EE1", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 2
								sc = { "0x7000D4B5", "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 2
								sc = { "0x7000D4B5", "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x7000306F", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 2
								sc = { "0x7000306F", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 2
								sc = { "0x7000D4B3", "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 2
								sc = { "0x7000D4B3", "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 2
								sc = { "0x7000307D", "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 2
								sc = { "0x7000307D", "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 1
								sc = { "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 1
								sc = { "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 2
								sc = { "0x70003EE7", "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 2
								sc = { "0x70003EE7", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 2
								sc = { "0x70003EE9", "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 2
								sc = { "0x70003EE9", "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 2
								sc = { "0x7000D4B2", "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 2
								sc = { "0x7000D4B2", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 1
								sc = { "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 1
								sc = { "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = { "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 1 
								sc = { "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 1
								sc = { "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 1
								sc = { "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 1
								sc = { "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 1
								sc = { "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 1
								sc = { "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 1
								sc = { "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 1
								sc = { "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = {  "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 1
								sc = { "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end	
						
						if (player:GetClass() == Turbine.Gameplay.Class.LoreMaster) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.LoreMaster

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x70003123" }
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x70003123" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x70003123" }
							elseif (nextLevel == 5) then
								index = 2
								sc = { "0x70003123", "0x70003EBB" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x70003EE4", "0x70003EBB" }	
							elseif (nextLevel == 7) then
								index = 1
								sc = { "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 1
								sc = { "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 2
								sc = { "0x70003152", "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 2
								sc = { "0x70003152", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 1
								sc = { "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x70003143", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "0x70003143", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 3
								sc = { "0x70003143", "0x70003EB5", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 4
								sc = { "0x70003EB5", "0x70003132", "0x70003116", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 3
								sc = { "0x70003132", "0x70003116", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 3
								sc = { "0x7000B60D", "0x70003EC2", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 3
								sc = { "0x7000B60D", "0x70003EC2",  "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 6
								sc = { "0x7003A394", "0x7000F7FE", "0x7000F54D", "0x7000C588", "0x70003EBF", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 6
								sc = { "0x7003A394", "0x7000F7FE", "0x7000F54D", "0x7000C588", "0x70003EBF", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 2
								sc = { "0x7000316B", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 2
								sc = { "0x7000316B", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 2
								sc = { "0x7000F74D", "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 2
								sc = { "0x7000F74D", "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x70003EBC", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 2
								sc = { "0x70003EBC", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 3
								sc = { "0x7000B8D3", "0x7000314B", "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 3
								sc = { "0x7000B8D3", "0x7000314B", "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 3
								sc = { "0x7000B8D3", "0x7000314B", "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 4
								sc = { "0x7000BFC2", "0x70003EBD", "0x7000B62B", "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 4
								sc = { "0x7000BFC2", "0x70003EBD", "0x7000B62B", "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 3
								sc = { "0x7000B62B", "0x70003EC1", "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 2
								sc = { "0x70003EC1", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 1
								sc = { "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 2
								sc = { "0x7002A706", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 2
								sc = { "0x7002A706", "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 2
								sc = { "0x7002A706", "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 2
								sc = { "0x7000B627", "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 2
								sc = { "0x7000B627", "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 1 
								sc = { "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 1
								sc = { "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 1
								sc = { "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 1
								sc = { "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 1
								sc = { "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 1
								sc = { "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 1
								sc = { "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 2
								sc = { "0x7000F530", "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 2
								sc = { "0x7000F530", "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 3
								sc = { "0x7000F530", "0x7000F801", "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 2
								sc = { "0x7000F801", "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 2
								sc = { "0x7000F801", "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 2
								sc = { "0x70028B80", "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 2
								sc = { "0x70028B80", "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 2
								sc = { "0x70028B80", "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 2
								sc = { "0x70028B9A", "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 2
								sc = { "0x70028B9A", "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 1
								sc = { "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 2
								sc = { "0x70028CA1", "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 2
								sc = { "0x70028CA1", "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 2
								sc = { "0x70028CA1", "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 2
								sc = { "0x7002E60F", "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 2
								sc = { "0x7002E60F", "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 2
								sc = { "0x7002E5D0", "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 2
								sc = { "0x7002E5D0", "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 2
								sc = { "0x7002E5D0", "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.RuneKeeper) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.RuneKeeper

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x7000EE02" }
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x7000EE02" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x7000EE02" }
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x7000EE02" }
							elseif (nextLevel == 6) then
								index = 2
								sc = { "0x7000EE02", "0x7000F488" }	
							elseif (nextLevel == 7) then
								index = 2
								sc = { "0x7000F488", "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 2
								sc = { "0x7000F488", "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 1
								sc = { "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 1
								sc = { "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 1
								sc = { "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 2
								sc = { "0x7000EEA7", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 2
								sc = { "0x7000EEA7", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 2
								sc = { "0x7000EEA7", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 1
								sc = { "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 1
								sc = { "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 3
								sc = { "0x7000EEA6", "0x7002D0CD", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 3
								sc = { "0x7000EEA6", "0x7002D0CD", "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 4
								sc = { "0x7003CC4A", "0x70017EEB", "0x7000EDA1", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 4
								sc = { "0x7003CC4A", "0x70017EEB", "0x7000EDA1", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 2
								sc = { "0x700180F5", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 2
								sc = { "0x700180F5", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 2
								sc = { "0x7000EE01", "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 2
								sc = { "0x7000EE01", "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x700180F2", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 2
								sc = { "0x700180F2", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 2
								sc = { "0x7003006F", "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 2
								sc = { "0x7003006F", "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 1
								sc = { "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 1
								sc = { "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 2
								sc = { "0x7000EDFF", "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 2
								sc = { "0x7000EDFF", "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 1
								sc = { "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 1
								sc = { "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 2
								sc = { "0x7000E037", "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 2
								sc = { "0x7000E037", "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 2
								sc = { "0x7000F25D", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 2
								sc = { "0x7000F25D", "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 2
								sc = { "0x7000F25D", "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = {  "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 1
								sc = { "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 2 
								sc = { "0x7000EEAB", "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 2
								sc = { "0x7000EEAB", "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 1
								sc = { "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 1
								sc = { "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 1
								sc = { "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 2
								sc = { "0x70018775", "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 2
								sc = { "0x70018775", "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 2
								sc = { "0x70018775", "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 1
								sc = { "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 1
								sc = { "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 1
								sc = { "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 1
								sc = { "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 1
								sc = { "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 1
								sc = { "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 1
								sc = { "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						if (player:GetClass() == Turbine.Gameplay.Class.Warden) then
						
							actLevel = _G.player:GetLevel()
							tempLevel = 1
							nextLevel = actLevel + tempLevel
							class = Turbine.Gameplay.Class.Warden

							if (nextLevel == 2) then	
								index = 1
								sc = { "0x70014833"}
							elseif (nextLevel == 3) then
								index = 1
								sc = { "0x70014833" }
							elseif (nextLevel == 4) then
								index = 1
								sc = { "0x70014833" }
							elseif (nextLevel == 5) then
								index = 1
								sc = { "0x70014833" }
							elseif (nextLevel == 6) then
								index = 1
								sc = { "0x70014833" }	
							elseif (nextLevel == 7) then
								index = 1
								sc = { "TraitPoint7" }
							elseif (nextLevel == 8) then
								index = 5
								sc = { "0x7000EEC4", "0x700101D8", "0x70016A09", "0x70016A0A", "TraitPoint9" }
							elseif (nextLevel == 9) then
								index = 5
								sc = { "0x7000EEC4", "0x700101D8", "0x70016A09", "0x70016A0A", "TraitPoint9" }
							elseif (nextLevel == 10) then
								index = 5
								sc = { "0x7000EEC4", "0x700101D8", "0x70016A09", "0x70016A0A", "TraitPoint11" }
							elseif (nextLevel == 11) then
								index = 2
								sc = { "PreciseBlow", "TraitPoint11" }
							elseif (nextLevel == 12) then
								index = 4
								sc = { "PreciseBlow", "WarCry", "TraitPoint13" }
							elseif (nextLevel == 13) then
								index = 4
								sc = { "0x70014860", "0x700105CC", "WarCry", "TraitPoint13" }
								MainFunction_Bree()
							elseif (nextLevel == 14) then
								index = 3
								sc = { "0x70014860", "0x700105CC", "TraitPoint15" }
							elseif (nextLevel == 15) then
								index = 5
								sc = { "0x7003A654", "Maddening Strike", "Conviction", "SuretyOfDeath", "TraitPoint15" }
							elseif (nextLevel == 16) then
								index = 5
								sc = { "0x7003A654", "Maddening Strike", "Conviction", "SuretyOfDeath", "TraitPoint17" }
							elseif (nextLevel == 17) then
								index = 2
								sc = { "PowerAttack", "TraitPoint17" }
							elseif (nextLevel == 18) then
								index = 2
								sc = { "TraitPoint17", "TraitPoint19" }
							elseif (nextLevel == 19) then
								index = 5
								sc = { "0x70036551", "0x7000ED0E", "0x7003A395", "Reversal", "TraitPoint19" }
							elseif (nextLevel == 20) then
								index = 5
								sc = { "0x70036551", "0x7000ED0E", "0x7003A395", "Reversal", "TraitPoint21" }
							elseif (nextLevel == 21) then
								index = 10
								sc = { "0x7002850C", "0x7001509C", "0x7001509A", "0x7001509B", "0x7002850B", "0x7001509D", "0x70015098", "0x7002850A", "0x70015099", "TraitPoint21" }	
								MainFunction_EinsameLande()
							elseif (nextLevel == 22) then
								index = 3
								sc = { "0x7002BEEC", "CombinationStrike", "TraitPoint23" }
							elseif (nextLevel == 23) then
								index = 5
								sc = { "0x7002BEEC", "Safeguard", "Restoration", "FierceResolve", "TraitPoint23" }
							elseif (nextLevel == 24) then
								index = 5
								sc = { "0x7002BEEC", "Safeguard", "Restoration", "FierceResolve", "TraitPoint25" }
							elseif (nextLevel == 25) then
								index = 2
								sc = { "0x70014786", "TraitPoint25" }	
							elseif (nextLevel == 26) then
								index = 2
								sc = { "0x70014786", "TraitPoint27" }
							elseif (nextLevel == 27) then
								index = 1
								sc = { "TraitPoint27" }
							elseif (nextLevel == 28) then
								index = 1
								sc = { "TraitPoint29" }
							elseif (nextLevel == 29) then
								index = 2
								sc = { "PiercingStrike", "TraitPoint29" }
							elseif (nextLevel == 30) then
								index = 2
								sc = { "PiercingStrike", "TraitPoint31" }
							elseif (nextLevel == 31) then
								index = 3
								sc = { "0x70014798", "Onslaught", "TraitPoint31" }
							elseif (nextLevel == 32) then
								index = 3
								sc = { "0x70014798", "Onslaught", "TraitPoint33" }
							elseif (nextLevel == 33) then
								index = 4
								sc = { "DanceOfWar", "BrinkOfVictory", "Desolation", "TraitPoint33" }
								MainFunction_Bruchtal()
							elseif (nextLevel == 34) then
								index = 4
								sc = { "DanceOfWar", "BrinkOfVictory", "Desolation", "TraitPoint35"  }
							elseif (nextLevel == 35) then
								index = 1
								sc = { "TraitPoint35" }
							elseif (nextLevel == 36) then
								index = 1
								sc = { "TraitPoint37" }
							elseif (nextLevel == 37) then
								index = 3
								sc = { "0x70014831", "MightyBlow", "TraitPoint37" }
							elseif (nextLevel == 38) then
								index = 3
								sc = { "0x70014831", "MightyBlow", "TraitPoint39" }
							elseif (nextLevel == 39) then
								index = 4
								sc = { "0x70028906", "0x7003B619", "0x7001478E", "TraitPoint39" }
							elseif (nextLevel == 40) then
								index = 4
								sc = { "0x70028906", "0x7003B619", "0x7001478E", "TraitPoint41" }	
							elseif (nextLevel == 41) then
								index = 1
								sc = {  "TraitPoint41" }
							elseif (nextLevel == 42) then
								index = 2
								sc = { "0x70014791", "TraitPoint43" }
							elseif (nextLevel == 43) then
								index = 4 
								sc = { "0x70014791", "BoarsRush", "WallOfSteel", "TraitPoint43" }
							elseif (nextLevel == 44) then
								index = 3
								sc = { "BoarsRush", "WallOfSteel", "TraitPoint45" }	
							elseif (nextLevel == 45) then
								index = 2
								sc = { "SpearOfVirtue", "TraitPoint45" }
							elseif (nextLevel == 46) then
								index = 2
								sc = { "SpearOfVirtue", "TraitPoint47" }
								MainFunction_Moria()
							elseif (nextLevel == 47) then
								index = 1
								sc = { "TraitPoint47" }
							elseif (nextLevel == 48) then
								index = 1
								sc = { "TraitPoint49" }
							elseif (nextLevel == 49) then
								index = 2
								sc = { "UnerringStrike", "TraitPoint49" }
							elseif (nextLevel == 50) then
								index = 2
								sc = { "UnerringStrike", "TraitPoint51" }
							elseif (nextLevel == 51) then
								index = 1
								sc = { "TraitPoint51" }
							elseif (nextLevel == 52) then
								index = 1
								sc = { "TraitPoint53" }
							elseif (nextLevel == 53) then
								index = 1
								sc = { "TraitPoint53"  }
							elseif (nextLevel == 54) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 55) then
								index = 1
								sc = { "TraitPoint55" }
							elseif (nextLevel == 56) then
								index = 1
								sc = { "TraitPoint57" }
							elseif (nextLevel == 57) then
								index = 2
								sc = { "AdroitManoeuvre", "TraitPoint57" }
							elseif (nextLevel == 58) then
								index = 2
								sc = { "AdroitManoeuvre", "TraitPoint59" }
							elseif (nextLevel == 59) then
								index = 3
								sc = { "TheDarkBeforeDawn", "ExultationOfBattle", "TraitPoint59" }	
							elseif (nextLevel == 60) then
								index = 3
								sc = { "TheDarkBeforeDawn", "ExultationOfBattle", "TraitPoint61" }
							elseif (nextLevel == 61) then
								index = 1
								sc = { "TraitPoint61" }
								MainFunction_Lothlorien()
							elseif (nextLevel == 62) then
								index = 1
								sc = { "TraitPoint63" }
							elseif (nextLevel == 63) then
								index = 1
								sc = { "TraitPoint63" }	
							elseif (nextLevel == 64) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 65) then
								index = 1
								sc = { "TraitPoint65" }
							elseif (nextLevel == 66) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 67) then
								index = 1
								sc = { "TraitPoint67" }
							elseif (nextLevel == 68) then
								index = 1
								sc = { "TraitPoint69" }
							elseif (nextLevel == 69) then
								index = 2
								sc = { "WardensTriumph", "TraitPoint69" }
							elseif (nextLevel == 70) then
								index = 2
								sc = { "WardensTriumph", "TraitPoint71" }
							elseif (nextLevel == 71) then
								index = 2
								sc = { "Resolution", "TraitPoint71" }
								MainFunction_Isengart()
							elseif (nextLevel == 72) then
								index = 2
								sc = { "Resolution", "TraitPoint73" }
							elseif (nextLevel == 73) then
								index = 1
								sc = { "TraitPoint73" }
							elseif (nextLevel == 74) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 75) then
								index = 1
								sc = { "TraitPoint75" }
							elseif (nextLevel == 76) then
								index = 1
								sc = { "TraitPoint77"  }
								MainFunction_AmonHen()
							elseif (nextLevel == 77) then
								index = 1
								sc = { "TraitPoint77"  }
							elseif (nextLevel == 78) then
								index = 1
								sc = { "TraitPoint79"  }
							elseif (nextLevel == 79) then
								index = 2
								sc = { "ResoundingChallenge", "TraitPoint79"  }
							elseif (nextLevel == 80) then
								index = 2
								sc = { "ResoundingChallenge", "TraitPoint81" }
							elseif (nextLevel == 81) then
								index = 1
								sc = { "TraitPoint81" }
							elseif (nextLevel == 82) then
								index = 1
								sc = { "TraitPoint83" }	
							elseif (nextLevel == 83) then
								index = 1
								sc = { "TraitPoint83" }
							elseif (nextLevel == 84) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 85) then
								index = 1
								sc = { "TraitPoint85" }
							elseif (nextLevel == 86) then
								index = 1
								sc = { "TraitPoint87" }
								MainFunction_Edoras()
							elseif (nextLevel == 87) then
								index = 1
								sc = { "TraitPoint87" }
							elseif (nextLevel == 88) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 89) then
								index = 1
								sc = { "TraitPoint89" }
							elseif (nextLevel == 90) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 91) then
								index = 1
								sc = { "TraitPoint91" }
							elseif (nextLevel == 92) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 93) then
								index = 1
								sc = { "TraitPoint93" }
							elseif (nextLevel == 94) then
								index = 1
								sc = { "TraitPoint95" }
							elseif (nextLevel == 95) then
								index = 1
								sc = { "TraitPoint95" }								
							elseif (nextLevel == 96) then
								index = 1
								sc = { "TraitPoint97" }
								MainFunction_HelmsKlamm()
							elseif (nextLevel == 97) then
								index = 1
								sc = { "TraitPoint97" }
							elseif (nextLevel == 98) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 99) then
								index = 1
								sc = { "TraitPoint99" }
							elseif (nextLevel == 100) then
								index = 1
								sc = { "TraitPoint101" }
							elseif (nextLevel == 101) then
								index = 1
								sc = { "TraitPoint101" }	
							elseif (nextLevel == 102) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 103) then
								index = 1
								sc = { "TraitPoint103" }
							elseif (nextLevel == 104) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 105) then
								index = 1
								sc = { "TraitPoint105" }
							elseif (nextLevel == 106) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_MinasTirith()
							elseif (nextLevel == 107) then
								index = 1
								sc = { "TraitPoint108" }
								MainFunction_Mordor()
							elseif (nextLevel == 108) then
								index = 1
								sc = { "TraitPoint108" }
							elseif (nextLevel == 109) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 110) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 111) then
								index = 1
								sc = { "TraitPoint111" }
							elseif (nextLevel == 112) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 113) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 114) then
								index = 1
								sc = { "TraitPoint114" }
							elseif (nextLevel == 115) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 116) then
								index = 1
								sc = { "TraitPoint120" }		
							elseif (nextLevel == 117) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 118) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 119) then
								index = 1
								sc = { "TraitPoint120" }
							elseif (nextLevel == 120) then
								index = 1
								sc = { "TraitPoint120" }	
							elseif (nextLevel == 121) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 122) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 123) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 124) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 125) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 126) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 127) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 128) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 129) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 130) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 131) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 132) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 133) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 134) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 135) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 136) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 137) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 138) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (nextLevel == 139) then
								index = 1
								sc = { "TraitPoint140" }	
							elseif (nextLevel == 140) then
								index = 1
								sc = { "TraitPoint140" }
							elseif (actLevel == 140) then
								index = 0
								sc = { }
								MainFunction_GraueAnfurten()
								mainWindow:SetVisible(false)
							end						
						end
						
						local controls = {}
						local windowskills = {}
						for i = 1, index , 1 do
							controls[#controls+1] = Turbine.UI.Control()
							windowskills[#windowskills+1] = Turbine.UI.Label()
							
							name = Thardariel.SkillData.shortcut[sc[i]]
							icon = Thardariel.SkillData.classShortcut[class][sc[i]].icon
							levelneed = Thardariel.SkillData.classShortcut[class][sc[i]].levelneed
							
							windowskills[i]=Turbine.UI.Label()
							windowskills[i]:SetParent(mainWindow.Message)
							windowskills[i]:SetSize(32,32)
							
							if ( i == 1 ) then
								mainWindow:SetSize(600,200);
								windowskills[i]:SetPosition(285,110)
							elseif ( i == 2 ) then
								mainWindow:SetSize(600,250);
								windowskills[i]:SetPosition(285,180)
							elseif ( i == 3 ) then
								mainWindow:SetSize(600,320);
								windowskills[i]:SetPosition(285,250)
							elseif ( i == 4 ) then
								mainWindow:SetSize(600,390);
								windowskills[i]:SetPosition(285,320)
							elseif ( i == 5 ) then
								mainWindow:SetSize(600,460);
								windowskills[i]:SetPosition(285,390)
							elseif ( i == 6 ) then
								mainWindow:SetSize(600,530);
								windowskills[i]:SetPosition(285,460)
							elseif ( i == 7 ) then
								mainWindow:SetSize(600,600);
								windowskills[i]:SetPosition(285,530)
							elseif ( i == 8 ) then
								mainWindow:SetSize(600,670);
								windowskills[i]:SetPosition(285,600)
							elseif ( i == 9 ) then
								mainWindow:SetSize(600,740);
								windowskills[i]:SetPosition(285,670)
							elseif ( i == 10 ) then
								mainWindow:SetSize(600,810);
								windowskills[i]:SetPosition(285,740)								
							end
							windowskills[i]:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
							
							controls[i]=Turbine.UI.Control();
							controls[i]:SetSize(32,32)
							controls[i]:SetParent(windowskills[i]);
							controls[i]:SetBackground(icon);
							controls[i]:SetStretchMode(2);
									
							controls[i].Message1=Turbine.UI.Label()
							controls[i].Message1:SetParent(mainWindow)
							controls[i].Message1:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
							if ( i == 1 ) then
								controls[i].Message1:SetPosition(0, 140)
							elseif ( i == 2 ) then
								controls[i].Message1:SetPosition(0, 210)
							elseif ( i == 3 ) then
								controls[i].Message1:SetPosition(0, 280)	
							elseif ( i == 4 ) then
								controls[i].Message1:SetPosition(0, 350)
							elseif ( i == 5 ) then
								controls[i].Message1:SetPosition(0, 420)
							elseif ( i == 6 ) then
								controls[i].Message1:SetPosition(0, 490)	
							elseif ( i == 7 ) then
								controls[i].Message1:SetPosition(0, 560)
							elseif ( i == 8 ) then
								controls[i].Message1:SetPosition(0, 630)
							elseif ( i == 9 ) then
								controls[i].Message1:SetPosition(0, 700)
							elseif ( i == 10 ) then
								controls[i].Message1:SetPosition(0, 770)								
							end
							controls[i].Message1:SetSize(600,30)
							controls[i].Message1:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)
							controls[i].Message1:SetText(string.format("%s ab Level %s", name, levelneed))
							
						end
				
		end
end

MainFunction_LevelUp()


